package com.nurulwafa.nufakuproject;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import java.util.List;

public class PelanggaranAdapter extends RecyclerView.Adapter<PelanggaranAdapter.PelanggaranViewHolder> {
    private final List<Pelanggaran> pelanggaranList;

    public PelanggaranAdapter(List<Pelanggaran> pelanggaranList) {
        this.pelanggaranList = pelanggaranList;
    }

    @NonNull
    @Override
    public PelanggaranAdapter.PelanggaranViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        View v = LayoutInflater.from(parent.getContext()).inflate(R.layout.item_pelanggaran, parent, false);
        return new PelanggaranAdapter.PelanggaranViewHolder(v);
    }

    @Override
    public void onBindViewHolder(@NonNull PelanggaranAdapter.PelanggaranViewHolder holder, int position) {
        Pelanggaran pelanggaran = pelanggaranList.get(position);
        holder.tvNamaSantri.setText(pelanggaran.getNamaSantri());
        holder.tvPelanggaran.setText("Pelanggaran: " + pelanggaran.getPelanggaran());
        holder.tvTanggal.setText("Tanggal: " + pelanggaran.getTanggal());
        holder.tvSanksi.setText("Sanksi: " + pelanggaran.getSanksi());
        holder.tvKeterangan.setText("Keterangan: " + pelanggaran.getKeterangan());
    }

    @Override
    public int getItemCount() {
        return pelanggaranList.size();
    }

    static class PelanggaranViewHolder extends RecyclerView.ViewHolder {
        TextView tvNamaSantri, tvPelanggaran, tvTanggal, tvSanksi, tvKeterangan;

        public PelanggaranViewHolder(@NonNull View itemView) {
            super(itemView);
            tvNamaSantri = itemView.findViewById(R.id.tvNamaSantri);
            tvPelanggaran = itemView.findViewById(R.id.tvPelanggaran);
            tvTanggal = itemView.findViewById(R.id.tvTanggal);
            tvSanksi = itemView.findViewById(R.id.tvSanksi);
            tvKeterangan = itemView.findViewById(R.id.tvKeterangan);
        }
    }
}
